# CPU, memory, and network time series for a deployment Source: https://docs.orchard.hackclub.com/api/operations/deployments_metrics_get/ `GET /apiv1/deployments/{id}/metrics` Operation ID: `deployments_metrics_get` Auth: authenticated (scope: read) ## Parameters | Name | In | Required | Description | | --- | --- | --- | --- | | `id` | path | Yes | | | `start` | query | No | | | `end` | query | No | | | `step` | query | No | | ## Responses ### 200: OK ```json { "additionalProperties": {}, "properties": { "data": { "additionalProperties": {}, "properties": { "cpu": { "items": { "additionalProperties": {}, "properties": { "x": { "type": "number" }, "y": { "type": "number" } }, "required": [ "x", "y" ], "type": "object" }, "type": "array" }, "mem": { "items": { "additionalProperties": {}, "properties": { "x": { "type": "number" }, "y": { "type": "number" } }, "required": [ "x", "y" ], "type": "object" }, "type": "array" }, "rx": { "items": { "additionalProperties": {}, "properties": { "x": { "type": "number" }, "y": { "type": "number" } }, "required": [ "x", "y" ], "type": "object" }, "type": "array" }, "tx": { "items": { "additionalProperties": {}, "properties": { "x": { "type": "number" }, "y": { "type": "number" } }, "required": [ "x", "y" ], "type": "object" }, "type": "array" } }, "required": [ "cpu", "mem", "rx", "tx" ], "type": "object" }, "end": { "type": "number" }, "start": { "type": "number" }, "step": { "type": "number" } }, "required": [ "start", "end", "step", "data" ], "type": "object" } ```